// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	mautrix "maunium.net/go/mautrix"
	event "maunium.net/go/mautrix/event"

	mock "github.com/stretchr/testify/mock"
)

// MatrixSyncer is an autogenerated mock type for the MatrixSyncer type
type MatrixSyncer struct {
	mock.Mock
}

// OnEvent provides a mock function with given fields: callback
func (_m *MatrixSyncer) OnEvent(callback mautrix.EventHandler) {
	_m.Called(callback)
}

// OnEventType provides a mock function with given fields: eventType, callback
func (_m *MatrixSyncer) OnEventType(eventType event.Type, callback mautrix.EventHandler) {
	_m.Called(eventType, callback)
}

// OnSync provides a mock function with given fields: callback
func (_m *MatrixSyncer) OnSync(callback mautrix.SyncHandler) {
	_m.Called(callback)
}
